package com.gic.haoban.manage.service.service.out.impl;

import java.util.Date;
import java.util.List;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.common.utils.UuidUtil;
import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.service.dao.mapper.WxEnterpriseRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;

@Service
public class WxEnterpriseRelatedApiServiceImpl implements WxEnterpriseRelatedApiService {
    private static final Logger logger = LogManager.getLogger(WxEnterpriseRelatedApiServiceImpl.class);

	private WxEnterpriseRelatedMapper wxEnterpriseRelatedMapper;
	@Override
	public List<EnterpriseDetailDTO> listEnterpriseByWxEnterpriseId(
			String wxEnterpriseId) {
		
		List<TabHaobanWxEnterpriseRelated> relatedList = wxEnterpriseRelatedMapper.listByWxenterpriseId(wxEnterpriseId);
		List<EnterpriseDetailDTO> result = EntityUtil.changeEntityListByJSON(EnterpriseDetailDTO.class, relatedList);
		//TODO 调熊大接口，获取nodeCount
		return result;
	}
	@Override
	public void wxEnterpriseBind(String enterpriseId, String wxEnterpriseId,
			String version) {
		TabHaobanWxEnterpriseRelated tab = wxEnterpriseRelatedMapper.findOneByEnterpriseId(enterpriseId);
		if(tab!= null){
			logger.info("该gicEnterpriseId已经绑定过了");
		}else{
			 tab = new TabHaobanWxEnterpriseRelated();
			 tab.setEnterpriseId(enterpriseId);
			 tab.setWxEnterpriseId(wxEnterpriseId);
			 tab.setStatusFlag(1);
			 tab.setVersion(version);
			 tab.setCreateTime(new Date());
			 tab.setUpdateTime(new Date());
			 tab.setWxEnterpriseRelatedId(UuidUtil.randomUUID());
			 wxEnterpriseRelatedMapper.insertSelective(tab);
		}
	}

}
