package com.gic.haoban.manage.web.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.haoban.common.utils.AuthRequestUtil;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.manage.web.vo.LoginVO;

@RestController
public class LoginController extends WebBaseController{
	@Autowired
	StaffApiService staffApiService;
	
	@RequestMapping("login")
	public HaobanResponse login() {
		LoginVO loginVO = new LoginVO();
		StaffDTO staff = staffApiService.selectById("1");
		loginVO.setWxEnterpriseId("1");
		loginVO.setStaffDTO(staff);
		AuthRequestUtil.setSessionUser(loginVO);
		return resultResponse(HaoBanErrCode.ERR_1, loginVO);
		
	}
	
	@RequestMapping("login-out")
	public HaobanResponse loginOut() {
		
		AuthRequestUtil.delSessionUser();
		return resultResponse(HaoBanErrCode.ERR_1);
		
	}

}
