package com.gic.haoban.manage.web.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.enterprise.api.dto.EnterpriseAndUserDTO;
import com.gic.enterprise.api.service.EnterpriseService;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

@RestController
public class WxEnterpriseController extends WebBaseController{
	@Autowired
	private WxEnterpriseRelatedApiService wxEnterpriseRelatedApiService;
	@Autowired
	private EnterpriseService enterpriseService;
	//授权企业列表
	@RequestMapping("wx-enterprise-list")
	public HaobanResponse wxEnterpriseList() {
		String wxEnterpriseId = "123456";
		List<EnterpriseDetailDTO> list = wxEnterpriseRelatedApiService.listEnterpriseByWxEnterpriseId(wxEnterpriseId);
		return resultResponse(HaoBanErrCode.ERR_1, list);
 
	}
	
	//gic企业列表
	@RequestMapping("gic-enterprise-detail")
	public HaobanResponse gicEnterpriseDetail(String search) {
		EnterpriseAndUserDTO dto = enterpriseService.getEnterpriseAndUserByName(search);
		return resultResponse(HaoBanErrCode.ERR_1,dto);
 
	}
	//微信企业绑定接口
	@RequestMapping("wx-enterprise-bind")
	public HaobanResponse wxEnterpriseBind(String enterpriseId,String wxEnterpriseId,String version) {
		wxEnterpriseRelatedApiService.wxEnterpriseBind(enterpriseId,wxEnterpriseId,version);
		return resultResponse(HaoBanErrCode.ERR_1);
 
	}
	

}
