package com.gic.haoban.manage.web.controller.test;

import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.Page;
import com.gic.commons.util.EntityUtil;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.common.utils.CheckContainUtil;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.TestDTO;
import com.gic.haoban.manage.api.service.TestService;
import com.gic.haoban.manage.web.controller.WebBaseController;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.manage.web.qo.TestQo;
import com.gic.haoban.manage.web.vo.TestVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;
import java.util.Map;

/**
 * Created 2018/12/17.
 *
 * @author hua
 */
@Controller
@RequestMapping("/test")
public class TestController extends WebBaseController {

    @Autowired
    private TestService testService;

    @RequestMapping("/testList")
    @ResponseBody
    public HaobanResponse testList(String id, BasePageInfo info) {
        HaoBanErrCode errCode = HaoBanErrCode.ERR_1;
        Page<TestDTO> testDTOPage = testService.queryPage(info);
        return resultResponse(errCode, testDTOPage);
    }

    @RequestMapping("/imcallback")
    @ResponseBody
    public JSONObject imcallback(@RequestBody JSONObject msg) {
        System.out.println(msg);
        System.out.println(msg.toJSONString());
        String rest = "{\n" +
                "    \"ActionStatus\": \"OK\",\n" +
                "    \"ErrorInfo\": \"\",\n" +
                "    \"ErrorCode\": 0 // 0 为允许发言\n" +
                "}";
        return JSONObject.parseObject(rest);
    }


    @RequestMapping("/testListVo")
    @ResponseBody
    public HaobanResponse testListVo(TestQo qo, BasePageInfo info) {
        HaoBanErrCode errCode = HaoBanErrCode.ERR_1;
        String s = CheckContainUtil.checkAttr(qo);
        if (s != null) {
            System.out.println("缺少参数");
            errCode = HaoBanErrCode.ERR_5;
            return resultResponse(errCode);
        }
        Page<TestDTO> testDTOPage = testService.queryPage(info);
        List<TestVo> res = EntityUtil.changeEntityListByJSON(TestVo.class, testDTOPage.getResult());
        return resultResponse(errCode, res);
    }
}
